Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMapper Class Reference

`#include <vtkMapper.h>`

Inheritance diagram for vtkMapper:

[legend]
Collaboration diagram for vtkMapper:

[legend]
List of all members.

## Detailed Description

abstract class specifies interface to map data to graphics primitives

Date:
  2002/06/21 19:12:59

Revision:
  1.82

vtkMapper is an abstract class to specify interface between data and graphics primitives. Subclasses of vtkMapper map data through a lookuptable and control the creation of rendering primitives that interface to the graphics library. The mapping can be controlled by supplying a lookup table and specifying a scalar range to map data through.

There are several important control mechanisms affecting the behavior of this object. The ScalarVisibility flag controls whether scalar data (if any) controls the color of the associated actor(s) that refer to the mapper. The ScalarMode ivar is used to determine whether scalar point data or cell data is used to color the object. By default, point data scalars are used unless there are none, in which cell scalars are used. Or you can explicitly control whether to use point or cell scalar data. Finally, the mapping of scalars through the lookup table varies depending on the setting of the ColorMode flag. See the documentation for the appropriate methods for an explanation.

Another important feature of this class is whether to use immediate mode rendering (ImmediateModeRenderingOn) or display list rendering (ImmediateModeRenderingOff). If display lists are used, a data structure is constructed (generally in the rendering library) which can then be rapidly traversed and rendered by the rendering library. The disadvantage of display lists is that they require additionally memory which may affect the performance of the system.

Another important feature of the mapper is the ability to shift the z-buffer to resolve coincident topology. For example, if you'd like to draw a mesh with some edges a different color, and the edges lie on the mesh, this feature can be useful to get nice looking lines. (See the ResolveCoincidentTopology-related methods.)

See also:
  vtkDataSetMapper vtkPolyDataMapper

Created by:
  - Martin, Ken
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (46%)
  - Martin, Ken (18%)
  - Avila, Lisa (6%)
  - Henderson, Amy (5%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkMapper.h)`
  - .`cxx` (`/Rendering/vtkMapper.cxx)`

Definition at line 91 of file vtkMapper.h.

## Public Types
typedef vtkAbstractMapper3D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ShallowCopy (vtkAbstractMapper *m)
unsigned long | GetMTime ()
virtual void | Render (vtkRenderer *ren, vtkActor *a)=0
virtual void | ReleaseGraphicsResources (vtkWindow *)
virtual void | CreateDefaultLookupTable ()
const char * | GetColorModeAsString ()
const char * | GetScalarModeAsString ()
vtkUnsignedCharArray * | MapScalars (float alpha)
virtual void | Update ()
void | SetLookupTable (vtkScalarsToColors *lut)
vtkScalarsToColors * | GetLookupTable ()
virtual void | SetScalarVisibility (int)
virtual int | GetScalarVisibility ()
virtual void | ScalarVisibilityOn ()
virtual void | ScalarVisibilityOff ()
virtual void | SetColorMode (int)
virtual int | GetColorMode ()
void | SetColorModeToDefault ()
void | SetColorModeToMapScalars ()
virtual void | SetUseLookupTableScalarRange (int)
virtual int | GetUseLookupTableScalarRange ()
virtual void | UseLookupTableScalarRangeOn ()
virtual void | UseLookupTableScalarRangeOff ()
virtual void | SetScalarRange (float, float)
void | SetScalarRange (float[2])
virtual float * | GetScalarRange ()
virtual void | GetScalarRange (float data[2])
virtual void | SetImmediateModeRendering (int)
virtual int | GetImmediateModeRendering ()
virtual void | ImmediateModeRenderingOn ()
virtual void | ImmediateModeRenderingOff ()
virtual void | SetScalarMode (int)
virtual int | GetScalarMode ()
void | SetScalarModeToDefault ()
void | SetScalarModeToUsePointData ()
void | SetScalarModeToUseCellData ()
void | SetScalarModeToUsePointFieldData ()
void | SetScalarModeToUseCellFieldData ()
void | SelectColorArray (int arrayNum)
void | SelectColorArray (const char *arrayName)
void | ColorByArrayComponent (int arrayNum, int component)
void | ColorByArrayComponent (const char *arrayName, int component)
char * | GetArrayName ()
int | GetArrayId ()
int | GetArrayAccessMode ()
int | GetArrayComponent ()
virtual float * | GetBounds ()
virtual void | GetBounds (float bounds[6])
void | SetRenderTime (float time)
virtual float | GetRenderTime ()
vtkDataSet * | GetInput ()
vtkDataSet * | GetInputAsDataSet ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMapper * | SafeDownCast (vtkObject *o)
void | SetGlobalImmediateModeRendering (int val)
void | GlobalImmediateModeRenderingOn ()
void | GlobalImmediateModeRenderingOff ()
int | GetGlobalImmediateModeRendering ()
void | SetResolveCoincidentTopology (int val)
int | GetResolveCoincidentTopology ()
void | SetResolveCoincidentTopologyToDefault ()
void | SetResolveCoincidentTopologyToOff ()
void | SetResolveCoincidentTopologyToPolygonOffset ()
void | SetResolveCoincidentTopologyToShiftZBuffer ()
void | SetResolveCoincidentTopologyPolygonOffsetParameters (float factor, float units)
void | GetResolveCoincidentTopologyPolygonOffsetParameters (float &factor, float &units)
void | SetResolveCoincidentTopologyZShift (double val)
double | GetResolveCoincidentTopologyZShift ()
## Protected Methods
| vtkMapper ()
| ~vtkMapper ()
## Protected Attributes
vtkUnsignedCharArray * | Colors
vtkScalarsToColors * | LookupTable
int | ScalarVisibility
vtkTimeStamp | BuildTime
float | ScalarRange [2]
int | UseLookupTableScalarRange
int | ImmediateModeRendering
int | ColorMode
int | ScalarMode
float | RenderTime
int | ArrayId
char | ArrayName [256]
int | ArrayComponent
int | ArrayAccessMode

## Member Typedef Documentation

typedef vtkAbstractMapper3D vtkMapper::Superclass

| Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, vtkOpenGLPolyDataMapper, and vtkPolyDataMapper. Definition at line 94 of file vtkMapper.h.

## Constructor & Destructor Documentation

vtkMapper::vtkMapper | ( |  | ) | `[protected]`

vtkMapper::~vtkMapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, vtkOpenGLPolyDataMapper, and vtkPolyDataMapper.

int vtkMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, vtkOpenGLPolyDataMapper, and vtkPolyDataMapper.

virtual int vtkMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, vtkOpenGLPolyDataMapper, and vtkPolyDataMapper.

vtkMapper* vtkMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, vtkOpenGLPolyDataMapper, and vtkPolyDataMapper.

void vtkMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, vtkOpenGLPolyDataMapper, and vtkPolyDataMapper.

void vtkMapper::ShallowCopy | ( | vtkAbstractMapper * | m | ) |

| Make a shallow copy of this mapper. Reimplemented from vtkAbstractMapper. Reimplemented in vtkPolyDataMapper.

unsigned long vtkMapper::GetMTime | ( |  | ) | `[virtual]`

| Overload standard modified time function. If lookup table is modified, then this object is modified as well. Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper.

virtual void vtkMapper::Render | ( | vtkRenderer * | ren,
|  | vtkActor * | a
| ) | `[pure virtual]`

| Method initiates the mapping process. Generally sent by the actor as each frame is rendered. Implemented in vtkDataSetMapper, and vtkPolyDataMapper.

virtual void vtkMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[inline, virtual]`

| Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkAbstractMapper. Reimplemented in vtkDataSetMapper, vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper. Definition at line 111 of file vtkMapper.h.

void vtkMapper::SetLookupTable | ( | vtkScalarsToColors * | lut | ) |

| Specify a lookup table for the mapper to use.

vtkScalarsToColors* vtkMapper::GetLookupTable | ( |  | ) |

| Specify a lookup table for the mapper to use.

virtual void vtkMapper::CreateDefaultLookupTable | ( |  | ) | `[virtual]`

| Create default lookup table. Generally used to create one when none is available with the scalar data.

virtual void vtkMapper::SetScalarVisibility | ( | int |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual int vtkMapper::GetScalarVisibility | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual void vtkMapper::ScalarVisibilityOn | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual void vtkMapper::ScalarVisibilityOff | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether scalar data is used to color objects.

virtual void vtkMapper::SetColorMode | ( | int |  | ) | `[virtual]`

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the SelectColorArray() method.)

virtual int vtkMapper::GetColorMode | ( |  | ) | `[virtual]`

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the SelectColorArray() method.)

void vtkMapper::SetColorModeToDefault | ( |  | ) | `[inline]`

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the SelectColorArray() method.) Definition at line 141 of file vtkMapper.h.

void vtkMapper::SetColorModeToMapScalars | ( |  | ) | `[inline]`

| Control how the scalar data is mapped to colors. By default (ColorModeToDefault), unsigned char scalars are treated as colors, and NOT mapped through the lookup table, while everything else is. Setting ColorModeToMapScalars means that all scalar data will be mapped through the lookup table. (Note that for multi-component scalars, the particular component to use for mapping can be specified using the SelectColorArray() method.) Definition at line 143 of file vtkMapper.h. References VTK_COLOR_MODE_MAP_SCALARS.

const char* vtkMapper::GetColorModeAsString | ( |  | ) |

| Return the method of coloring scalar data.

virtual void vtkMapper::SetUseLookupTableScalarRange | ( | int |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual int vtkMapper::GetUseLookupTableScalarRange | ( |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual void vtkMapper::UseLookupTableScalarRangeOn | ( |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual void vtkMapper::UseLookupTableScalarRangeOff | ( |  | ) | `[virtual]`

| Control whether the mapper sets the lookuptable range based on its own ScalarRange, or whether it will use the LookupTable ScalarRange regardless of it's own setting. By default the Mapper is allowed to set the LookupTable range, but users who are sharing LookupTables between mappers/actors will probably wish to force the mapper to use the LookupTable unchanged.

virtual void vtkMapper::SetScalarRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

void vtkMapper::SetScalarRange | ( | float | [2] | ) |

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

virtual float* vtkMapper::GetScalarRange | ( |  | ) | `[virtual]`

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

virtual void vtkMapper::GetScalarRange | ( | float | data[2] | ) | `[virtual]`

| Specify range in terms of scalar minimum and maximum (smin,smax). These values are used to map scalars into lookup table. Has no effect when UseLookupTableScalarRange is true.

virtual void vtkMapper::SetImmediateModeRendering | ( | int |  | ) | `[virtual]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering.

virtual int vtkMapper::GetImmediateModeRendering | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering.

virtual void vtkMapper::ImmediateModeRenderingOn | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering.

virtual void vtkMapper::ImmediateModeRenderingOff | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering.

void vtkMapper::SetGlobalImmediateModeRendering | ( | int | val | ) | `[static]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering. Referenced by GlobalImmediateModeRenderingOff(), and GlobalImmediateModeRenderingOn().

void vtkMapper::GlobalImmediateModeRenderingOn | ( |  | ) | `[inline, static]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering. Definition at line 188 of file vtkMapper.h. References SetGlobalImmediateModeRendering().

void vtkMapper::GlobalImmediateModeRenderingOff | ( |  | ) | `[inline, static]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering. Definition at line 190 of file vtkMapper.h. References SetGlobalImmediateModeRendering().

int vtkMapper::GetGlobalImmediateModeRendering | ( |  | ) | `[static]`

| Turn on/off flag to control whether data is rendered using immediate mode or note. Immediate mode rendering tends to be slower but it can handle larger datasets. The default value is immediate mode off. If you are having problems rendering a large dataset you might want to consider using immediate more rendering.

virtual void vtkMapper::SetScalarMode | ( | int |  | ) | `[virtual]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors.

virtual int vtkMapper::GetScalarMode | ( |  | ) | `[virtual]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors.

void vtkMapper::SetScalarModeToDefault | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors. Definition at line 208 of file vtkMapper.h. References VTK_SCALAR_MODE_DEFAULT.

void vtkMapper::SetScalarModeToUsePointData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors. Definition at line 210 of file vtkMapper.h. References VTK_SCALAR_MODE_USE_POINT_DATA.

void vtkMapper::SetScalarModeToUseCellData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors. Definition at line 212 of file vtkMapper.h. References VTK_SCALAR_MODE_USE_CELL_DATA.

void vtkMapper::SetScalarModeToUsePointFieldData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors. Definition at line 214 of file vtkMapper.h. References VTK_SCALAR_MODE_USE_POINT_FIELD_DATA.

void vtkMapper::SetScalarModeToUseCellFieldData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (ScalarModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData). You can also choose to get the scalars from an array in point field data (ScalarModeToUsePointFieldData) or cell field data (ScalarModeToUseCellFieldData). If scalars are coming from a field data array, you must call SelectColorArray before you call GetColors. Definition at line 216 of file vtkMapper.h. References VTK_SCALAR_MODE_USE_CELL_FIELD_DATA.

void vtkMapper::SelectColorArray | ( | int | arrayNum | ) |

| When ScalarMode is set to UsePointFileData or UseCellFieldData, you can specify which array to use for coloring using these methods. The lookup table will decide how to convert vectors to colors.

void vtkMapper::SelectColorArray | ( | const char * | arrayName | ) |

| When ScalarMode is set to UsePointFileData or UseCellFieldData, you can specify which array to use for coloring using these methods. The lookup table will decide how to convert vectors to colors.

void vtkMapper::ColorByArrayComponent | ( | int | arrayNum,
|  | int | component
| ) |

| Legacy: These methods used to be used to specify the array component. It is better to do this in the lookup table.

void vtkMapper::ColorByArrayComponent | ( | const char * | arrayName,
|  | int | component
| ) |

| Legacy: These methods used to be used to specify the array component. It is better to do this in the lookup table.

char* vtkMapper::GetArrayName | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 237 of file vtkMapper.h.

int vtkMapper::GetArrayId | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 238 of file vtkMapper.h.

int vtkMapper::GetArrayAccessMode | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 239 of file vtkMapper.h.

int vtkMapper::GetArrayComponent | ( |  | ) | `[inline]`

| Get the array name or number and component to color by. Definition at line 240 of file vtkMapper.h.

const char* vtkMapper::GetScalarModeAsString | ( |  | ) |

| Return the method for obtaining scalar data.

void vtkMapper::SetResolveCoincidentTopology | ( | int | val | ) | `[static]`

| Set/Get a global flag that controls whether coincident topology (e.g., a line on top of a polygon) is shifted to avoid z-buffer resolution (and hence rendering problems). If not off, there are two methods to choose from. PolygonOffset uses graphics systems calls to shift polygons, but does not distinguish vertices and lines from one another. ShiftZBuffer remaps the z-buffer to distinguish vertices, lines, and polygons, but does not always produce acceptable results. If you use the ShiftZBuffer approach, you may also want to set the ResolveCoincidentTopologyZShift value. (Note: not all mappers/graphics systems implement this functionality.)

int vtkMapper::GetResolveCoincidentTopology | ( |  | ) | `[static]`

| Set/Get a global flag that controls whether coincident topology (e.g., a line on top of a polygon) is shifted to avoid z-buffer resolution (and hence rendering problems). If not off, there are two methods to choose from. PolygonOffset uses graphics systems calls to shift polygons, but does not distinguish vertices and lines from one another. ShiftZBuffer remaps the z-buffer to distinguish vertices, lines, and polygons, but does not always produce acceptable results. If you use the ShiftZBuffer approach, you may also want to set the ResolveCoincidentTopologyZShift value. (Note: not all mappers/graphics systems implement this functionality.)

void vtkMapper::SetResolveCoincidentTopologyToDefault | ( |  | ) | `[static]`

| Set/Get a global flag that controls whether coincident topology (e.g., a line on top of a polygon) is shifted to avoid z-buffer resolution (and hence rendering problems). If not off, there are two methods to choose from. PolygonOffset uses graphics systems calls to shift polygons, but does not distinguish vertices and lines from one another. ShiftZBuffer remaps the z-buffer to distinguish vertices, lines, and polygons, but does not always produce acceptable results. If you use the ShiftZBuffer approach, you may also want to set the ResolveCoincidentTopologyZShift value. (Note: not all mappers/graphics systems implement this functionality.)

void vtkMapper::SetResolveCoincidentTopologyToOff | ( |  | ) | `[inline, static]`

| Set/Get a global flag that controls whether coincident topology (e.g., a line on top of a polygon) is shifted to avoid z-buffer resolution (and hence rendering problems). If not off, there are two methods to choose from. PolygonOffset uses graphics systems calls to shift polygons, but does not distinguish vertices and lines from one another. ShiftZBuffer remaps the z-buffer to distinguish vertices, lines, and polygons, but does not always produce acceptable results. If you use the ShiftZBuffer approach, you may also want to set the ResolveCoincidentTopologyZShift value. (Note: not all mappers/graphics systems implement this functionality.) Definition at line 260 of file vtkMapper.h. References VTK_RESOLVE_OFF.

void vtkMapper::SetResolveCoincidentTopologyToPolygonOffset | ( |  | ) | `[inline, static]`

| Set/Get a global flag that controls whether coincident topology (e.g., a line on top of a polygon) is shifted to avoid z-buffer resolution (and hence rendering problems). If not off, there are two methods to choose from. PolygonOffset uses graphics systems calls to shift polygons, but does not distinguish vertices and lines from one another. ShiftZBuffer remaps the z-buffer to distinguish vertices, lines, and polygons, but does not always produce acceptable results. If you use the ShiftZBuffer approach, you may also want to set the ResolveCoincidentTopologyZShift value. (Note: not all mappers/graphics systems implement this functionality.) Definition at line 262 of file vtkMapper.h. References VTK_RESOLVE_POLYGON_OFFSET.

void vtkMapper::SetResolveCoincidentTopologyToShiftZBuffer | ( |  | ) | `[inline, static]`

| Set/Get a global flag that controls whether coincident topology (e.g., a line on top of a polygon) is shifted to avoid z-buffer resolution (and hence rendering problems). If not off, there are two methods to choose from. PolygonOffset uses graphics systems calls to shift polygons, but does not distinguish vertices and lines from one another. ShiftZBuffer remaps the z-buffer to distinguish vertices, lines, and polygons, but does not always produce acceptable results. If you use the ShiftZBuffer approach, you may also want to set the ResolveCoincidentTopologyZShift value. (Note: not all mappers/graphics systems implement this functionality.) Definition at line 264 of file vtkMapper.h. References VTK_RESOLVE_SHIFT_ZBUFFER.

void vtkMapper::SetResolveCoincidentTopologyPolygonOffsetParameters | ( | float | factor,
|  | float | units
| ) | `[static]`

| Used to set the polygon offset scale factor and units. Used when ResolveCoincidentTopology is set to PolygonOffset. These are global variables.

void vtkMapper::GetResolveCoincidentTopologyPolygonOffsetParameters | ( | float & | factor,
|  | float & | units
| ) | `[static]`

| Used to set the polygon offset scale factor and units. Used when ResolveCoincidentTopology is set to PolygonOffset. These are global variables.

void vtkMapper::SetResolveCoincidentTopologyZShift | ( | double | val | ) | `[static]`

| Used to set the z-shift if ResolveCoincidentTopology is set to ShiftZBuffer. This is a global variable.

double vtkMapper::GetResolveCoincidentTopologyZShift | ( |  | ) | `[static]`

| Used to set the z-shift if ResolveCoincidentTopology is set to ShiftZBuffer. This is a global variable.

virtual float* vtkMapper::GetBounds | ( |  | ) | `[virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Implements vtkAbstractMapper3D. Reimplemented in vtkPolyDataMapper.

virtual void vtkMapper::GetBounds | ( | float | bounds[6] | ) | `[inline, virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Reimplemented from vtkAbstractMapper3D. Reimplemented in vtkPolyDataMapper. Definition at line 289 of file vtkMapper.h. References vtkAbstractMapper3D::GetBounds().

void vtkMapper::SetRenderTime | ( | float | time | ) | `[inline]`

| This instance variable is used by vtkLODActor to determine which mapper to use. It is an estimate of the time necessary to render. Setting the render time does not modify the mapper. Definition at line 297 of file vtkMapper.h.

virtual float vtkMapper::GetRenderTime | ( |  | ) | `[virtual]`

| This instance variable is used by vtkLODActor to determine which mapper to use. It is an estimate of the time necessary to render. Setting the render time does not modify the mapper.

vtkDataSet* vtkMapper::GetInput | ( |  | ) |

| Get the input as a vtkDataSet. This method is overridden in the specialized mapper classes to return more specific data types. Reimplemented in vtkDataSetMapper, and vtkPolyDataMapper.

vtkDataSet* vtkMapper::GetInputAsDataSet | ( |  | ) | `[inline]`

| Get the input to this mapper as a vtkDataSet, instead of as a more specialized data type that the subclass may return from GetInput(). This method is provided for use in the wrapper languages, C++ programmers should use GetInput() instead. Definition at line 314 of file vtkMapper.h.

vtkUnsignedCharArray* vtkMapper::MapScalars | ( | float | alpha | ) |

| Map the scalars (if there are any scalars and ScalarVisibility is on) through the lookup table, returning an unsigned char RGBA array. This is typically done as part of the rendering process. The alpha parameter allows the blending of the scalars with an additional alpha (typically which comes from a vtkActor, etc.)

virtual void vtkMapper::Update | ( |  | ) | `[virtual]`

| Update the input to the Mapper. Implements vtkAbstractMapper3D. Reimplemented in vtkPolyDataMapper.

## Member Data Documentation

vtkUnsignedCharArray* vtkMapper::Colors`[protected]`

| Definition at line 332 of file vtkMapper.h.

vtkScalarsToColors* vtkMapper::LookupTable`[protected]`

| Definition at line 334 of file vtkMapper.h.

int vtkMapper::ScalarVisibility`[protected]`

| Definition at line 335 of file vtkMapper.h.

vtkTimeStamp vtkMapper::BuildTime`[protected]`

| Definition at line 336 of file vtkMapper.h.

float vtkMapper::ScalarRange[2]`[protected]`

| Definition at line 337 of file vtkMapper.h.

int vtkMapper::UseLookupTableScalarRange`[protected]`

| Definition at line 338 of file vtkMapper.h.

int vtkMapper::ImmediateModeRendering`[protected]`

| Definition at line 339 of file vtkMapper.h.

int vtkMapper::ColorMode`[protected]`

| Definition at line 340 of file vtkMapper.h.

int vtkMapper::ScalarMode`[protected]`

| Definition at line 341 of file vtkMapper.h.

float vtkMapper::RenderTime`[protected]`

| Definition at line 343 of file vtkMapper.h.

int vtkMapper::ArrayId`[protected]`

| Definition at line 346 of file vtkMapper.h.

char vtkMapper::ArrayName[256]`[protected]`

| Definition at line 347 of file vtkMapper.h.

int vtkMapper::ArrayComponent`[protected]`

| Definition at line 348 of file vtkMapper.h.

int vtkMapper::ArrayAccessMode`[protected]`

| Definition at line 349 of file vtkMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkMapper.h